Index: cpp/frams/genetics/defgenoconv.h
===================================================================
--- cpp/frams/genetics/defgenoconv.h	(revision 521)
+++ cpp/frams/genetics/defgenoconv.h	(revision 522)
@@ -9,8 +9,8 @@
 
 /// This GenoConvManager subclass allows you to add all "standard" converters in one go
-class DefaultGenoConvManager: public GenoConvManager
+class DefaultGenoConvManager : public GenoConvManager
 {
-  public:
-void addDefaultConverters();///< add all converters configured in gen-config file
+public:
+	void addDefaultConverters();///< add all converters configured in gen-config file
 };
 
Index: cpp/frams/genetics/geno.cpp
===================================================================
--- cpp/frams/genetics/geno.cpp	(revision 521)
+++ cpp/frams/genetics/geno.cpp	(revision 522)
@@ -12,11 +12,15 @@
 THREAD_LOCAL_DEF_PTR(GenoConvManager, geno_converters);
 
-Geno::Validators* Geno::getValidators() {return tlsGetPtr(geno_validators);}
-GenoConvManager* Geno::getConverters() {return tlsGetPtr(geno_converters);}
+Geno::Validators* Geno::getValidators() { return tlsGetPtr(geno_validators); }
+GenoConvManager* Geno::getConverters() { return tlsGetPtr(geno_converters); }
 
 Geno::Validators* Geno::useValidators(Validators* val)
-{return tlsSetPtr(geno_validators,val);}
+{
+	return tlsSetPtr(geno_validators, val);
+}
 GenoConvManager* Geno::useConverters(GenoConvManager* gcm)
-{return tlsSetPtr(geno_converters,gcm);}
+{
+	return tlsSetPtr(geno_converters, gcm);
+}
 
 void Geno::init(const SString& genstring, char genformat, const SString& genname, const SString& comment)
@@ -34,15 +38,15 @@
 		if (genstring.charAt(0) == '/')
 		{
-			int end, error_end=-1;
+			int end, error_end = -1;
 			switch (genstring.charAt(1))
 			{
 			case '/':
 				genformat = genstring.charAt(2);
-				if ((genformat=='\0')||isspace(genformat))
-					genformat=INVALID_FORMAT;
+				if ((genformat == '\0') || isspace(genformat))
+					genformat = INVALID_FORMAT;
 				if ((end = genstring.indexOf('\n')) >= 0)
 				{
-					error_end=end;
-					if (end!=3) genformat=INVALID_FORMAT;
+					error_end = end;
+					if (end != 3) genformat = INVALID_FORMAT;
 					gencopy = genstring.substr(end + 1);
 					mapinshift = end + 1;
@@ -50,5 +54,5 @@
 				else
 				{
-					if (genstring.len()!=3) genformat=INVALID_FORMAT;
+					if (genstring.len() != 3) genformat = INVALID_FORMAT;
 					gencopy = 0;
 					mapinshift = genstring.len();
@@ -57,10 +61,10 @@
 			case '*':
 				genformat = genstring.charAt(2);
-				if ((genformat=='\0')||isspace(genformat))
-					genformat=INVALID_FORMAT;
+				if ((genformat == '\0') || isspace(genformat))
+					genformat = INVALID_FORMAT;
 				if ((end = genstring.indexOf("*/")) >= 0)
 				{
-					error_end=end+2;
-					if (end!=3) genformat=INVALID_FORMAT;
+					error_end = end + 2;
+					if (end != 3) genformat = INVALID_FORMAT;
 					gencopy = genstring.substr(end + 2);
 					mapinshift = end + 2;
@@ -68,5 +72,5 @@
 				else
 				{
-					if (genstring.len()!=5) genformat=INVALID_FORMAT;
+					if (genstring.len() != 5) genformat = INVALID_FORMAT;
 					gencopy = 0;
 					mapinshift = genstring.len();
@@ -74,16 +78,16 @@
 				break;
 			}
-		if (genformat==INVALID_FORMAT)
+			if (genformat == INVALID_FORMAT)
 			{
-			SString cut;
-			if (error_end<0) error_end=genstring.len();
-			static const int MAX_ERROR=20;
-			if (error_end>MAX_ERROR)
-				cut=genstring.substr(0,MAX_ERROR)+"...";
-			else
-				cut=genstring.substr(0,error_end);
-			int lf=cut.indexOf('\n');
-			if (lf>=0) cut=cut.substr(0,lf);
-			logPrintf("Geno","init",LOG_ERROR,"Invalid genotype format declaration: '%s'%s",cut.c_str(),genname.len()?SString::sprintf(" in '%s'",genname.c_str()).c_str():"");
+				SString cut;
+				if (error_end<0) error_end = genstring.len();
+				static const int MAX_ERROR = 20;
+				if (error_end>MAX_ERROR)
+					cut = genstring.substr(0, MAX_ERROR) + "...";
+				else
+					cut = genstring.substr(0, error_end);
+				int lf = cut.indexOf('\n');
+				if (lf >= 0) cut = cut.substr(0, lf);
+				logPrintf("Geno", "init", LOG_ERROR, "Invalid genotype format declaration: '%s'%s", cut.c_str(), genname.len() ? SString::sprintf(" in '%s'", genname.c_str()).c_str() : "");
 			}
 
@@ -115,7 +119,7 @@
 
 Geno::Geno(const Geno& src)
-:gen(src.gen), name(src.name), format(src.format), txt(src.txt), isvalid(src.isvalid),
-f0gen(0), mapinshift(src.mapinshift), mapoutshift(src.mapinshift),
-multiline(src.multiline), owner(0)
+	:gen(src.gen), name(src.name), format(src.format), txt(src.txt), isvalid(src.isvalid),
+	f0gen(0), mapinshift(src.mapinshift), mapoutshift(src.mapinshift),
+	multiline(src.multiline), owner(0)
 {
 	f0gen = src.f0gen ? new Geno(*src.f0gen) : 0; refcount = 1;
@@ -216,5 +220,5 @@
 {
 	if (genpos > gen.len()) return -2;
-	if (genpos<0) return -1;
+	if (genpos < 0) return -1;
 	return mapinshift + genpos;
 }
@@ -223,5 +227,5 @@
 {
 	stringpos -= mapinshift;
-	if (stringpos>gen.len()) return -2;
+	if (stringpos > gen.len()) return -2;
 	if (stringpos < 0) return -1;
 	return stringpos;
@@ -255,38 +259,38 @@
 	if (gen.len() == 0) { isvalid = 0; return; }
 	if (format == INVALID_FORMAT) { isvalid = 0; return; }
-	Validators* vals=getValidators();
-	if (vals!=NULL)
-		{
+	Validators* vals = getValidators();
+	if (vals != NULL)
+	{
 #ifdef WARN_VALIDATION_INCONSISTENCY
 		vector<int> results;
 		int first_result=-1;
 		FOREACH(GenoValidator*, v, (*vals))
-			{
+		{
 			int r=v->testGenoValidity(*this);
 			if (first_result<0) first_result=r;
 			results.push_back(r);
-			}
+		}
 		int N=vals->size();
 		for(int i=1;i<N;i++)
 			if (results[i]!=results[0])
-				{
-				SString txt="Inconsistent validation results";
-				for(int i=0;i<N;i++)
-					txt+=SString::sprintf(" %d",results[i]);
-				txt+=" for genotype '";
-				txt+=getGene();
-				txt+="'";
-				logPrintf("Geno","validate",LOG_WARN,txt.c_str());
-				break;
-				}
+			{
+			SString txt="Inconsistent validation results";
+			for(int i=0;i<N;i++)
+				txt+=SString::sprintf(" %d",results[i]);
+			txt+=" for genotype '";
+			txt+=getGene();
+			txt+="'";
+			logPrintf("Geno","validate",LOG_WARN,txt.c_str());
+			break;
+			}
 		isvalid=first_result;
 		if (isvalid>=0)
 			return;
 #else
-	FOREACH(GenoValidator*, v, (*vals))
-		if ((isvalid = v->testGenoValidity(*this)) >= 0)
-			return;
+		FOREACH(GenoValidator*, v, (*vals))
+			if ((isvalid = v->testGenoValidity(*this)) >= 0)
+				return;
 #endif
-		}
+	}
 	isvalid = 0;
 	logPrintf("Geno", "validate", LOG_WARN, "Wrong configuration? No genotype validators defined for genetic format 'f%c'.", format);
@@ -295,19 +299,19 @@
 bool Geno::isValid(void)
 {
-	if (isvalid<0)
-		{
-		LoggerToMemory err(LoggerBase::Enable | LoggerToMemory::StoreAllMessages,LOG_INFO);
+	if (isvalid < 0)
+	{
+		LoggerToMemory err(LoggerBase::Enable | LoggerToMemory::StoreAllMessages, LOG_INFO);
 		validate();
 		err.disable();
-		string msg=err.getCountSummary();
-		if (msg.size()>0)
-			{
-			msg+=ssprintf(" while checking validity of '%s'",getName().c_str());
-			msg+="\n";
-			msg+=err.getMessages();
-			logMessage("Geno","isValid",err.getErrorLevel(),msg.c_str());
-			}
-		}
-	return isvalid>0;
+		string msg = err.getCountSummary();
+		if (msg.size() > 0)
+		{
+			msg += ssprintf(" while checking validity of '%s'", getName().c_str());
+			msg += "\n";
+			msg += err.getMessages();
+			logMessage("Geno", "isValid", err.getErrorLevel(), msg.c_str());
+		}
+	}
+	return isvalid > 0;
 }
 
@@ -316,5 +320,5 @@
 	if (otherformat == getFormat()) { if (converter_missing) *converter_missing = false; return *this; }
 #ifndef NO_GENOCONVMANAGER
-	GenoConvManager *converters=getConverters();
+	GenoConvManager *converters = getConverters();
 	if (converters)
 	{
@@ -324,5 +328,7 @@
 				f0gen = new Geno(converters->convert(*this, otherformat, NULL, converter_missing));
 			else
-				{ if (converter_missing) *converter_missing = false; }
+			{
+				if (converter_missing) *converter_missing = false;
+			}
 			return *f0gen;
 		}
Index: cpp/frams/genetics/geno.h
===================================================================
--- cpp/frams/genetics/geno.h	(revision 521)
+++ cpp/frams/genetics/geno.h	(revision 522)
@@ -55,5 +55,5 @@
 
 public:
-	static const int INVALID_FORMAT='!';
+	static const int INVALID_FORMAT = '!';
 	typedef SListTempl<GenoValidator*> Validators;
 
